/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.security.permission.internal.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Sergio González
 */
@ExtendedObjectClassDefinition(category = "security-tools")
@Meta.OCD(
	id = "com.liferay.portal.security.permission.internal.configuration.InlinePermissionConfiguration",
	localization = "content/Language",
	name = "inline-permission-configuration-name"
)
public interface InlinePermissionConfiguration {

	/**
	 * Set this to <code>true</code> to enable inline SQL permission checks.
	 */
	@Meta.AD(deflt = "true", name = "sql-check-enabled", required = false)
	public boolean sqlCheckEnabled();

}